Index: src/Atom/atom.cpp
===================================================================
--- src/Atom/atom.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/Atom/atom.cpp	(revision ed26ae0a32a705778541a63922f7ba79f0840079)
@@ -291,4 +291,4 @@
 
 bool compareAtomElements(atom* atom1,atom* atom2){
-  return atom1->getType()->getNumber() < atom2->getType()->getNumber();
-}
+  return atom1->getType()->getAtomicNumber() < atom2->getType()->getAtomicNumber();
+}
Index: src/Atom/atom_atominfo.cpp
===================================================================
--- src/Atom/atom_atominfo.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/Atom/atom_atominfo.cpp	(revision ed26ae0a32a705778541a63922f7ba79f0840079)
@@ -164,8 +164,8 @@
 void AtomInfo::setType(const element* _type)
 {
-  if (_type->getNumber() != AtomicElement) {
+  if (_type->getAtomicNumber() != AtomicElement) {
     OBSERVE;
     NOTIFY(AtomObservable::ElementChanged);
-    AtomicElement = _type->getNumber();
+    AtomicElement = _type->getAtomicNumber();
   }
 }
Index: src/Element/element.cpp
===================================================================
--- src/Element/element.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/Element/element.cpp	(revision ed26ae0a32a705778541a63922f7ba79f0840079)
@@ -104,8 +104,4 @@
 }
 
-atomicNumber_t element::getNumber() const{
-  return Z;
-}
-
 double element::getMass() const
 {
@@ -133,5 +129,5 @@
 }
 
-int element::getAtomicNumber() const
+atomicNumber_t element::getAtomicNumber() const
 {
   return Z;
@@ -207,5 +203,5 @@
 
 std::ostream &operator<<(std::ostream &ost,const element &elem){
-  ost << elem.getName() << "(" << elem.getNumber() << ")";
+  ost << elem.getName() << "(" << elem.getAtomicNumber() << ")";
   return ost;
 }
Index: src/Element/element.hpp
===================================================================
--- src/Element/element.hpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/Element/element.hpp	(revision ed26ae0a32a705778541a63922f7ba79f0840079)
@@ -41,5 +41,4 @@
 
     // accessor functions
-    atomicNumber_t getNumber() const;
     double getMass() const;
     const unsigned char *getColor() const;
@@ -47,5 +46,5 @@
     double getElectronegativity() const;
     double getVanDerWaalsRadius() const;
-    int getAtomicNumber() const;
+    atomicNumber_t getAtomicNumber() const;
     double getValence() const;
     int getNoValenceOrbitals() const;
@@ -92,5 +91,5 @@
     double Electronegativity; //!< electronegativity in Pauling units
     double VanDerWaalsRadius;  //!< can-der-Waals radius
-    int Z;          //!< atomic number
+    atomicNumber_t Z;          //!< atomic number
     std::string period;    //!< period: n quantum number
     std::string group;    //!< group: l quantum number
Index: src/Element/periodentafel.cpp
===================================================================
--- src/Element/periodentafel.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/Element/periodentafel.cpp	(revision ed26ae0a32a705778541a63922f7ba79f0840079)
@@ -60,7 +60,7 @@
 periodentafel::iterator periodentafel::AddElement(element * pointer)
 {
-  atomicNumber_t Z = pointer->getNumber();
+  atomicNumber_t Z = pointer->getAtomicNumber();
   ASSERT(!elements.count(Z), "Element is already present.");
-  if (pointer->getNumber() < 1 && pointer->getNumber() >= MAX_ELEMENTS)
+  if (pointer->getAtomicNumber() < 1 && pointer->getAtomicNumber() >= MAX_ELEMENTS)
     ELOG(0, "Invalid Z number!");
   pair<iterator,bool> res = elements.insert(pair<atomicNumber_t,element*>(Z,pointer));
@@ -73,5 +73,5 @@
 size_t periodentafel::RemoveElement(const element * pointer)
 {
-  return RemoveElement(pointer->getNumber());
+  return RemoveElement(pointer->getAtomicNumber());
 };
 
@@ -406,5 +406,5 @@
       input >> ws;
       //neues->Output((ofstream *)&cout);
-      if ((neues->getNumber() > 0) && (neues->getNumber() < MAX_ELEMENTS)) {
+      if ((neues->getAtomicNumber() > 0) && (neues->getAtomicNumber() < MAX_ELEMENTS)) {
         parsedElements[neues->Z] = neues;
 //        parsedelements << " " << *neues);
Index: src/Element/unittests/ElementUnitTest.cpp
===================================================================
--- src/Element/unittests/ElementUnitTest.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/Element/unittests/ElementUnitTest.cpp	(revision ed26ae0a32a705778541a63922f7ba79f0840079)
@@ -82,5 +82,5 @@
 void ElementTest::GetterTest()
 {
-  CPPUNIT_ASSERT_EQUAL( (atomId_t)0, testelement->getNumber() );
+  CPPUNIT_ASSERT_EQUAL( (atomId_t)0, testelement->getAtomicNumber() );
   CPPUNIT_ASSERT_EQUAL( 0., testelement->getMass() );
   const unsigned char * color = testelement->getColor();
@@ -90,5 +90,4 @@
   CPPUNIT_ASSERT_EQUAL( 0., testelement->getElectronegativity() );
   CPPUNIT_ASSERT_EQUAL( 0., testelement->getVanDerWaalsRadius() );
-  CPPUNIT_ASSERT_EQUAL( 0, testelement->getAtomicNumber() );
   CPPUNIT_ASSERT_EQUAL( 0., testelement->getValence() );
   CPPUNIT_ASSERT_EQUAL( 0, testelement->getNoValenceOrbitals() );
Index: src/Element/unittests/PeriodentafelUnitTest.cpp
===================================================================
--- src/Element/unittests/PeriodentafelUnitTest.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/Element/unittests/PeriodentafelUnitTest.cpp	(revision ed26ae0a32a705778541a63922f7ba79f0840079)
@@ -103,5 +103,5 @@
   atomicNumber_t Z = 1;
   for(periodentafel::const_iterator ElementRunner = tafel->begin(); ElementRunner != tafel->end(); ++ElementRunner)
-    CPPUNIT_ASSERT( (ElementRunner->second->getNumber() == Z++) && "element is missing in sequence");
+    CPPUNIT_ASSERT( (ElementRunner->second->getAtomicNumber() == Z++) && "element is missing in sequence");
 };
 
Index: src/Formula.cpp
===================================================================
--- src/Formula.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/Formula.cpp	(revision ed26ae0a32a705778541a63922f7ba79f0840079)
@@ -135,5 +135,5 @@
 bool Formula::hasElement(const element *element) const{
   ASSERT(element,"Invalid pointer in Formula::hasElement(element*)");
-  return hasElement(element->getNumber());
+  return hasElement(element->getAtomicNumber());
 }
 
@@ -151,5 +151,5 @@
 void Formula::operator+=(const element *element){
   ASSERT(element,"Invalid pointer in increment of Formula");
-  operator+=(element->getNumber());
+  operator+=(element->getAtomicNumber());
 }
 
@@ -172,5 +172,5 @@
 void Formula::operator-=(const element *element){
   ASSERT(element,"Invalid pointer in decrement of Formula");
-  operator-=(element->getNumber());
+  operator-=(element->getAtomicNumber());
 }
 
@@ -203,5 +203,5 @@
 void Formula::addElements(const element *element,unsigned int count){
   ASSERT(element,"Invalid pointer in Formula::addElements(element*)");
-  addElements(element->getNumber(),count);
+  addElements(element->getAtomicNumber(),count);
 }
 
@@ -239,5 +239,5 @@
 const unsigned int Formula::operator[](const element *element) const{
   ASSERT(element,"Invalid pointer in access of Formula");
-  return operator[](element->getNumber());
+  return operator[](element->getAtomicNumber());
 }
 
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision ed26ae0a32a705778541a63922f7ba79f0840079)
@@ -93,5 +93,5 @@
   size_t elementno = 0;
   if (_atom->getType() != NULL) {
-    elementno = _atom->getType()->getNumber();
+    elementno = _atom->getType()->getAtomicNumber();
   } else { // if no element yet, set to hydrogen
     elementno = 1;
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp	(revision ed26ae0a32a705778541a63922f7ba79f0840079)
@@ -70,5 +70,5 @@
       OtherPosition = _bond->rightatom->getPosition();
       if (_bond->leftatom->getType() != NULL) {
-        elementno = _bond->leftatom->getType()->getNumber();
+        elementno = _bond->leftatom->getType()->getAtomicNumber();
       } else { // if not element yet set, set to hydrogen
         elementno = 1;
@@ -79,5 +79,5 @@
       OtherPosition = _bond->leftatom->getPosition();
       if (_bond->rightatom->getType() != NULL) {
-        elementno = _bond->rightatom->getType()->getNumber();
+        elementno = _bond->rightatom->getType()->getAtomicNumber();
       } else { // if not element yet set, set to hydrogen
         elementno = 1;
Index: src/moleculelist.cpp
===================================================================
--- src/moleculelist.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/moleculelist.cpp	(revision ed26ae0a32a705778541a63922f7ba79f0840079)
@@ -200,5 +200,5 @@
       size=0.;
       for (molecule::const_iterator iter = (*ListRunner)->begin(); iter != (*ListRunner)->end(); ++iter) {
-        counts[(*iter)->getType()->getNumber()]++;
+        counts[(*iter)->getType()->getAtomicNumber()]++;
         if ((*iter)->DistanceSquared(Origin) > size)
           size = (*iter)->DistanceSquared(Origin);
@@ -494,5 +494,5 @@
         if ((*ListRunner)->hasElement((*elemIter).first)) { // if this element got atoms
           for(molecule::iterator atomIter = (*ListRunner)->begin(); atomIter !=(*ListRunner)->end();++atomIter){
-            if ((*atomIter)->getType()->getNumber() == (*elemIter).first) {
+            if ((*atomIter)->getType()->getAtomicNumber() == (*elemIter).first) {
               if (((*atomIter)->GetTrueFather() != NULL) && ((*atomIter)->GetTrueFather() != (*atomIter))) {// if there is a rea
                 ForcesFile << SortIndex[(*atomIter)->GetTrueFather()->getNr()] << "\t";
